### Function

# Gdk ContentFormatsnew_for_gtype

#### Declaration [src]

    GdkContentFormats*
    gdk_content_formats_new_for_gtype (
      GType type
    )

#### Description [src]

Creates a new `GdkContentFormats` for a given `GType`.

#### Parameters

`type`

  Type: `GType`

  A `GType`

#### Return value

Type: `GdkContentFormats`

A new `GdkContentFormats`

The caller of the function takes ownership of the data, and is responsible for freeing it.